#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	isl
Version		:	0.24
Release		:	17.0.10.rel%{?dist}
Summary		:	Integer point manipulation library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	http://isl.gforge.inria.fr/
			#  https://gcc.gnu.org/pub/gcc/infrastructure

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	gmp
BuildRequires	:	make
#-----------------------------------------------------------------------------
%description
isl is a library for manipulating sets and
relations of integer points bounded by linear
constraints.
Supported operations on sets include intersection,
union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing
the lexicographic minimum using parametric integer
programming, coalescing and parametric vertex enumeration.
It also includes an ILP solver based on generalized
basis reduction, transitive closures on maps (which
may encode infinite graphs), dependence analysis and
bounds on piecewise step-polynomials.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so.23*

#=============================================================================
%package		devel
Summary		:	Development for building integer point manipulation library

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
isl is a library for manipulating sets and
relations of integer points bounded by linear
constraints.
Supported operations on sets include intersection,
union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing
the lexicographic minimum using parametric integer
programming, coalescing and parametric vertex enumeration.
It also includes an ILP solver based on generalized
basis reduction, transitive closures on maps (which
may encode infinite graphs), dependence analysis and
bounds on piecewise step-polynomials.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc AUTHORS README
%doc doc/manual.pdf
%license LICENSE
%{_includedir}/%{name}/hmap_templ.c
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__make}						\
	check


#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install-libLTLIBRARIES				\
	install


#To remove libtool library and static library
find 							\
	%{buildroot}%{_libdir}				\
	\(						\
		 -name \*.la				\
		 -o					\
		 -name \*.a				\
	 \)						\
	-delete


#-----------------------------------------------------------------------------
%changelog
